Bug 1055482 - Review Request: qpid-proton-java - Java libraries for Qpid Proton
Summary: Review Request: qpid-proton-java - Java libraries for Qpid Proton
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marek Goldmann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1055048
TreeView+ depends on / blocked
 
Reported: 2014-01-20 11:26 UTC by gil cattaneo
Modified: 2014-06-18 16:08 UTC (History)
3 users (show)

Fixed In Version: qpid-proton-java-0.6-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-31 04:22:37 UTC
Type: ---
mgoldman: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description gil cattaneo 2014-01-20 11:26:23 UTC
Spec URL: http://gil.fedorapeople.org/qpid-proton-java.spec
SRPM URL: http://gil.fedorapeople.org/qpid-proton-java-0.6-0.1.1.0.SNAPSHOT.fc19.src.rpm
Description: Java language bindings for the Qpid Proton messaging framework.
Fedora Account System Username: gil

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=6428965

Comment 1 Marek Goldmann 2014-01-20 12:03:27 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated", "*No copyright* Apache (v2.0)". 4 files have
     unknown license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in qpid-
     proton-java-javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: qpid-proton-java-0.6-0.1.1.0.SNAPSHOT.fc21.noarch.rpm
          qpid-proton-java-javadoc-0.6-0.1.1.0.SNAPSHOT.fc21.noarch.rpm
          qpid-proton-java-0.6-0.1.1.0.SNAPSHOT.fc21.src.rpm
qpid-proton-java.src: W: invalid-url Source0: qpid-proton-java-0.6.tar.xz
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint qpid-proton-java qpid-proton-java-javadoc
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
qpid-proton-java (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(org.bouncycastle:bcprov-jdk16)

qpid-proton-java-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
qpid-proton-java:
    mvn(org.apache.qpid:proton-api)
    mvn(org.apache.qpid:proton-hawtdispatch)
    mvn(org.apache.qpid:proton-j)
    mvn(org.apache.qpid:proton-j-impl)
    mvn(org.apache.qpid:proton-j-messenger-example)
    mvn(org.apache.qpid:proton-j:pom:)
    mvn(org.apache.qpid:proton-jms)
    mvn(org.apache.qpid:proton-project)
    mvn(org.apache.qpid:proton-project:pom:)
    qpid-proton-java

qpid-proton-java-javadoc:
    qpid-proton-java-javadoc



Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -v -b 1055482 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG








The only thing I would add some comment why tests are disabled.

APPROVED.

Comment 2 Marek Goldmann 2014-01-20 12:05:38 UTC
BTW, can you update to version 0.6.1 to be in sync with qpid-proton package?

Comment 3 gil cattaneo 2014-01-20 12:24:31 UTC
(In reply to Marek Goldmann from comment #2)
> BTW, can you update to version 0.6.1 to be in sync with qpid-proton package?

yes sure, but havent found a valid source url...

Comment 4 gil cattaneo 2014-01-20 12:28:21 UTC
Other question only for rawhide or the package need in other branches?

Comment 6 Marek Goldmann 2014-01-20 12:31:07 UTC
Ah sorry, I was thinking about 0.6: http://www.apache.org/dist/qpid/proton/%{version}/%{name}-%{version}.tar.gz

If you use stable version (and this is what you do now), please change the version-release to: 0.6-1, not 0.6-0.1.

In general - I would personally use the tar.gz instead exporting the source and remove the unnecessary files, can you do it?

Comment 7 Marek Goldmann 2014-01-20 12:33:45 UTC
(In reply to gil cattaneo from comment #4)
> Other question only for rawhide or the package need in other branches?

f19, f20 and Rawhide

Comment 8 gil cattaneo 2014-01-20 12:50:44 UTC
(In reply to Marek Goldmann from comment #6)
> Ah sorry, I was thinking about 0.6:
> http://www.apache.org/dist/qpid/proton/%{version}/%{name}-%{version}.tar.gz
Done
> If you use stable version (and this is what you do now), please change the
> version-release to: 0.6-1, not 0.6-0.1.
Done
> In general - I would personally use the tar.gz instead exporting the source
> and remove the unnecessary files, can you do it?

Spec URL: http://gil.fedorapeople.org/qpid-proton-java.spec
SRPM URL: http://gil.fedorapeople.org/qpid-proton-java-0.6-1.fc19.src.rpm

- fix release field
- use upstream source archive
- enable test suite

Comment 9 gil cattaneo 2014-01-20 12:51:26 UTC
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=6429283

Comment 10 Marek Goldmann 2014-01-20 12:58:38 UTC
Looks way better now! Thanks!

Comment 11 gil cattaneo 2014-01-20 13:04:24 UTC
Thanks!

New Package SCM Request
=======================
Package Name: qpid-proton-java
Short Description: Java libraries for Qpid Proton
Owners: gil
Branches: f19 f20
InitialCC: java-sig

Comment 12 gil cattaneo 2014-01-20 13:24:31 UTC
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=6429393

Comment 13 Gwyn Ciesla 2014-01-21 14:13:24 UTC
Git done (by process-git-requests).

Comment 14 Fedora Update System 2014-01-21 20:37:02 UTC
qpid-proton-java-0.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/qpid-proton-java-0.6-1.fc20

Comment 15 Fedora Update System 2014-01-21 20:59:48 UTC
qpid-proton-java-0.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qpid-proton-java-0.6-1.fc19

Comment 16 Fedora Update System 2014-01-21 22:57:27 UTC
qpid-proton-java-0.6-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/qpid-proton-java-0.6-2.fc20

Comment 17 Fedora Update System 2014-01-21 23:07:26 UTC
qpid-proton-java-0.6-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qpid-proton-java-0.6-2.fc19

Comment 18 Fedora Update System 2014-01-22 23:03:40 UTC
qpid-proton-java-0.6-2.fc20 has been pushed to the Fedora 20 testing repository.

Comment 19 Fedora Update System 2014-01-31 04:22:37 UTC
qpid-proton-java-0.6-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 20 Fedora Update System 2014-01-31 04:25:41 UTC
qpid-proton-java-0.6-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 21 Darryl L. Pierce 2014-02-11 15:04:33 UTC
Package Change Request
======================
Package Name: qpid-proton-java
New Branches: epel7
Owners: mcpierce gil

Comment 22 Gwyn Ciesla 2014-02-11 15:09:02 UTC
Git done (by process-git-requests).

Comment 23 Darryl L. Pierce 2014-06-16 19:02:24 UTC
Package Change Request
======================
Package Name: qpid-proton-java
New Branches: el6
Owners: mcpierce gil

Comment 24 gil cattaneo 2014-06-16 19:12:00 UTC
please, don't include me in el6

Package Change Request
======================
Package Name: qpid-proton-java
New Branches: el6
Owners: mcpierce

Comment 25 Kevin Fenzi 2014-06-18 16:08:37 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.